%global mod_name ant-plugin
%global short_name ant
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-ant-plugin
Version:        1.2
Release:        5%{?dist}
Summary:        Jenkins Ant Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/ant-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

Patch0:         build-with-remoting-2.48.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)

BuildArch:      noarch

%description
This package provides plugin which permits Jenkins to run Apache Ant
build steps.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# tests are disabled, because "package com.gargoylesoftware.htmlunit.html does not exist"
# we don't have these Jenkins test artifacts in Fedora
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 16 2015 Michal Srb <msrb@redhat.com> - 1.2-4
- Migrate to .hpi with symlinks

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.2-3
- Rebuild to fix plugin dependencies
- Fix FTBFS

* Mon Oct 13 2014 Michal Srb <msrb@redhat.com> - 1.2-2
- This is a core plugin, move it to the correct location

* Wed Sep 24 2014 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial packaging
